For the complete documentation index, see llms.txt. This page is also available as Markdown.

deposit_authorized - XRPL

Example code for the deposit_authorized JSON RPC method. Complete guide to using deposit_authorized JSON-RPC in the GetBlock Web3 documentation.

The deposit_authorized method indicates whether one account is authorized to send payments directly to another.

Parameters

Parameter
Type
Required
Description

source_account

string

Yes

Sending account

destination_account

string

Yes

Receiving account

ledger_hash

string

No

Ledger hash

ledger_index

string/number

No

Ledger index

Request Example

curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS_TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "deposit_authorized",
    "params": [{
        "source_account": "rN7n7otQDd6FczFgLdSqtcsAUxDkw6fzRH",
        "destination_account": "ra5nK24KXen9AHvsdFTKHSANinZseWnPcX"
    }],
    "id": "getblock.io"
}'
index.js
const axios = require('axios');

const url = 'https://shared.eu-central-1.getblock.io/<ACCESS_TOKEN>/';
const headers = {
    'Content-Type': 'application/json'
};

const payload = {
    jsonrpc: '2.0',
    method: 'deposit_authorized',
    params: [{
        source_account: 'rN7n7otQDd6FczFgLdSqtcsAUxDkw6fzRH',
        destination_account: 'ra5nK24KXen9AHvsdFTKHSANinZseWnPcX'
    }],
    id: 'getblock.io'
};

axios.post(url, payload, { headers })
    .then(response => console.log(response.data))
    .catch(error => console.error(error));

Response Example

Response Parameters

Field
Type
Description

deposit_authorized

boolean

Whether deposit is authorized

source_account

string

Source account

destination_account

string

Destination account

Use Cases

  • Pre-validate payments

  • Check deposit permissions

  • Handle deposit preauthorization

Error Handling

Error Code
Description

actNotFound

Account not found

invalidParams

Invalid parameters

SDK Integration

Last updated

Was this helpful?